//Unification des minerais et leur variante.
//Block tag
onEvent('block.tags', event => {
  //supression du tag forge:ore/copper du minerais
  event.remove('forge:ores/copper', ['immersiveengineering:ore_copper', 'tconstruct:copper_ore'])
})
//Item tag
onEvent('item.tags', event => {   
    //supression du tag forge:ore/copper
    event.remove('forge:ores/copper', ['immersiveengineering:ore_copper', 'tconstruct:copper_ore'])
    event.remove('forge:ingots/copper', ['tconstruct:copper_ingot', 'immersiveengineering:ingot_copper', 'exnihilosequentia:ingot_copper'])
    event.remove('forge:ingots', ['tconstruct:copper_ingot', 'immersiveengineering:ingot_copper', 'exnihilosequentia:ingot_copper'])
    event.remove('forge:nuggets/copper', ['immersiveengineering:nugget_copper', 'tconstruct:copper_nugget'])
    event.remove('forge:nuggets', ['immersiveengineering:nugget_copper', 'tconstruct:copper_nugget'])
    event.remove('forge:plates', ['immersiveengineering:plate_copper'])
    event.remove('forge:plates/copper', ['immersiveengineering:plate_copper'])
    event.remove('forge:wires/copper', ['immersiveengineering:wire_copper'])
    event.remove('forge:storage_blocks/copper', ['tconstruct:copper_block', 'immersiveengineering:storage_copper'])
    //supression du tag forge:ore/lead
    event.remove('forge:ingots/lead', ['exnihilosequentia:ingot_lead'])
    //supression du tag forge:ore/nickel
    event.remove('forge:ingots/nickel', ['exnihilosequentia:ingot_nickel'])
    //supression du tag forge:ore/zinc
    event.remove('forge:ingots/zinc', ['exnihilosequentia:ingot_zinc'])
    //supression du tag forge:ore/aluminum
    event.remove('forge:ingots/aluminum', ['exnihilosequentia:ingot_aluminum'])
    //supression du tag forge:ore/silver
    event.remove('forge:ingots/silver', ['exnihilosequentia:ingot_silver'])
    //supression du tag forge:ore/uranium
    event.remove('forge:ingots/uranium', ['exnihilosequentia:ingot_uranium'])
})
  //remove des craft avec ID de chaque item avec des minerais
  onEvent('recipes', event => {
    //COPPER
    //copper ore
    event.remove({id: 'tconstruct:common/materials/copper_ingot_blasting'})
    event.remove({id: 'tconstruct:common/materials/copper_ingot_smelting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper'})
    //copper ingot/nugget
    event.remove({id: 'tconstruct:common/materials/copper_block_from_ingots'})
    event.remove({id: 'tconstruct:common/materials/copper_nugget_from_ingot'})
    event.remove({id: 'tconstruct:common/materials/copper_ingot_from_block'})
    event.remove({id: 'tconstruct:common/materials/copper_ingot_from_nuggets'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_to_storage_copper'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_to_nugget_copper'})
    event.remove({id: 'immersiveengineering:crafting/storage_copper_to_ingot_copper'})
    event.remove({id: 'immersiveengineering:crafting/nugget_copper_to_ingot_copper'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_from_dust_from_blasting'})
    event.remove({id: 'immersiveengineering:crafting/ingot_copper_from_dust'}) 
    event.remove({id: 'exnihilosequentia:ens_ingot_copper_blast'})
    event.remove({id: 'exnihilosequentia:ens_ingot_copper'})
    //copper PLate/Wire/Block
    event.remove({id: 'immersiveengineering:crafting/plate_copper_hammering'})
    event.remove({id: 'immersiveengineering:crafting/wire_copper'})
    event.remove({id: 'immersiveengineering:crafting/storage_copper_from_slab'})
    event.remove({id: 'immersiveengineering:crafting/storage_copper_to_slab'})
    //LEAD
    //lead ingot
    event.remove({id: 'exnihilosequentia:ens_ingot_lead_blast'})
    event.remove({id: 'exnihilosequentia:ens_ingot_lead'})
    //NICKEL
    //nickel ingot
    event.remove({id: 'exnihilosequentia:ens_ingot_nickel_blast'})
    event.remove({id: 'exnihilosequentia:ens_ingot_nickel'})
    //ZINC
    //zinc ingot
    event.remove({id: 'exnihilosequentia:ens_ingot_zinc_blast'})
    event.remove({id: 'exnihilosequentia:ens_ingot_zinc'})
    event.remove({id: 'immersiveengineering:recycling/zinc_leggings'})
    event.remove({id: 'immersiveengineering:recycling/zinc_axe'})
    event.remove({id: 'immersiveengineering:recycling/zinc_helmet'})
    event.remove({id: 'immersiveengineering:recycling/zinc_pickaxe'})
    event.remove({id: 'immersiveengineering:recycling/zinc_sword'})
    event.remove({id: 'immersiveengineering:recycling/zinc_boots'})
    event.remove({id: 'immersiveengineering:recycling/zinc_hoe'})
    event.remove({id: 'immersiveengineering:recycling/zinc_sheet'})
    event.remove({id: 'immersiveengineering:recycling/zinc_shovel'})
    event.remove({id: 'immersiveengineering:recycling/zinc_chestplate'})
    //ALUMINUM
    //aluminum ingot
    event.remove({id: 'exnihilosequentia:ens_ingot_aluminum_blast'})
    event.remove({id: 'exnihilosequentia:ens_ingot_aluminum'})
    //SILVER
    //silver ingot
    event.remove({id: 'exnihilosequentia:ens_ingot_silver_blast'})
    event.remove({id: 'exnihilosequentia:ens_ingot_silver'})
    //URANIUM
    //uranium ingot
    event.remove({id: 'exnihilosequentia:ens_ingot_uranium_blast'})
    event.remove({id: 'exnihilosequentia:ens_ingot_uranium'})
})
  